Subject: Re: [syzbot] memory leak in nf_hook_entries_grow (2)

From: Florian Westphal <[email-masked]>
Date: Tue, 4 May 2021 10:25:08 +0200

syzbot <[email-masked]> wrote:
> Hello,
> 
> syzbot found the following issue on:
> 
> HEAD commit:    9ccce092 Merge tag 'for-linus-5.13-ofs-1' of git://git.ker..
> git tree:       upstream
> console output: https://syzkaller.appspot.com/x/log.txt?x=141aec93d00000
> kernel config:  https://syzkaller.appspot.com/x/.config?x=5ab124e5617a0cfa
> dashboard link: https://syzkaller.appspot.com/bug?extid=050de9f900eb45b94ef9
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14bd921ed00000
> 
> IMPORTANT: if you fix the issue, please add the following tag to the commit:
> Reported-by: [email-masked]

#syz dup: linux-next test error: WARNING in __nf_unregister_net_hook

(The memory leak is the consequence if the WARNING).